# 1 "H:\Zed\ASCII-Me\BV513\C Programming\proj1\proj1.c"


# 1 "proj1.h"
// Projects head file
# 1

// 1) internal oscl is 8MHz FPLLIDIV=2 >> 4 MHz
# 2

// 2) multily FPLLMUL=18 >> 18 x 4 = 72MHz
# 3

// 3) o/p divider FPLLODIV=1 >> 72/1 = 72 MHz
# 4

// 3) periferal clock / PBdiv = 2 36MHz ** this is reset by strtup using SYSCLK
# 5

// **** Sett help file configuration bits ****
# 6

#pragma config FPLLMUL = MUL_20 , FPLLIDIV = DIV_2 , FPLLODIV = DIV_1 , FWDTEN = OFF , WDTPS = PS1 
#pragma config FCKSM = CSDCMD , FPBDIV = DIV_2 , OSCIOFNC = OFF 
#pragma config POSCMOD = OFF , IESO = OFF , FSOSCEN = OFF , FNOSC = FRCPLL 
#pragma config CP = OFF , BWP = ON , PWP = OFF , ICESEL = ICS_PGx1 , DEBUG = OFF 

// ***************************************************
# 12

// this is the processor clock speed as set by above
# 4 "H:\Zed\ASCII-Me\BV513\C Programming\proj1\proj1.c"

// ******************************************************************
# 5

// Processor initialisation 
# 6

// ******************************************************************
# 7

void proc_init(void)
{
int Fpb; // clock reteuned value from start up
# 10


 // Configure the device for maximum performance. 
# 12

 // This macro sets flash wait states, PBCLK divider and DRM wait states based on the specified
# 13

 // clock frequency. It also turns on the cache mode if avaialble.
# 14

 // We're using the PB clock frequency that was set automatically by this call.
# 15

 // Another option is to set the PB divider explicitely and then use a #define for the pbClk value.
# 16

 // **** perif clock is set to SYSCLK (72 or 80Mhz) / 2) = 36MHz
# 17

 Fpb=SYSTEMConfigPerformance(80000000);
 DDPCONbits.JTAGEN=0; // disable jtag
# 19


}


// ******************************************************************
# 24

// blocking delay near enough 1ms
# 25

// ******************************************************************
# 26

void delayMS(int delay)
{
int j;

 while(delay--)
 for(j=0;j<7692;j++);
}

// ******************************************************************
# 35

// main, this is where all C programs start
# 36

// ******************************************************************
# 37

int main()
{
int j;
 // RC15 has an LED connected to it
# 41

 // set RC15 as o/p
# 42

 TRISCCLR=0x8000;
 while(1) { // endless loop
# 44

 PORTCINV=0x8000;
 delayMS(500);
 }
}
